import httpRequest from '@/utils/axios'

// 年度各项目 销售额
export function getYearIncome(params) {
  return httpRequest.get('/v1/big_screen_marketing/year_plan_completion', { params })
}

// 年度各项目 报名数量
export function getYearApply(params) {
  return httpRequest.get('/v1/big_screen_marketing/year_project_apply', { params })
}

// 当月的各项目 缴费额/计划完成率/总销售额/总成单量
export function getMonthIncome(params) {
  return httpRequest.get('/v1/big_screen_marketing/now_month_project_income', { params })
}

// 各项目每月 销售额/完成率
export function getx(params) {
  return httpRequest.get('/v1/big_screen_marketing/every_month_project_income', { params })
}

// 各项目 实时缴费数据
export function getNowIncome(params) {
  return httpRequest.get('/v1/big_screen_marketing/real_time_pay', { params })
}

// 各项目 留资数/留资成本/总报名费/报名后转化率
export function getProjectCost(params) {
  return httpRequest.get('/v1/big_screen_marketing/project_app_cost', { params })
}

// 所有项目各渠道缴费额
export function getChannelPayMoney(params) {
  return httpRequest.get('/v1/big_screen_marketing/channel_pay_money', { params })
}

// 周 实际缴费额/预测缴费额
export function getPayMoneyByWeek(params) {
  return httpRequest.get('/v1/big_screen_marketing/project_pay_week', { params })
}
